=== modified file 'HACKING.rst'
--- HACKING.rst	2018-06-09 07:26:34 +0000
+++ HACKING.rst	2023-02-01 23:45:16 +0000
@@ -35,7 +35,7 @@
 One way that Launchpad provides both high availability and performance scaling
 is by running multiple instances of loggerhead, serving the same content. A
 proxy is then used to load balance the requests. This also allows us to shut
-down one instance for upgrading, without interupting service (requests are
+down one instance for upgrading, without interrupting service (requests are
 just routed to the other instance).
 
 However, multiple processes poses an even greater risk that caches will

=== modified file 'NEWS'
--- NEWS	2022-09-06 15:21:30 +0000
+++ NEWS	2023-02-01 23:45:16 +0000
@@ -203,7 +203,7 @@
 1.17 [20Aug2009]
 ----------------
 
-    - Add bug links in revision informations (Alexandre Garnier, #314052)
+    - Add bug links in revision information (Alexandre Garnier, #314052)
 
     - Make sure that binary files aren't annotated. (Martin Albisetti,
       #258848)
@@ -356,7 +356,7 @@
 1.10 [22Dec2008]
 ----------------
 
-    - Add startup deamon script for Linux (Marius Kruger)
+    - Add startup daemon script for Linux (Marius Kruger)
 
     - Switch navigation from file_ids to paths. Fixes bugs #260363,
       #269365 and #128926. (Martin Albisetti)
@@ -394,7 +394,7 @@
 
     - Added COPYING file and clarified copyright headers (John Arbash Meinel)
 
-    - Remove the .py extension requiered by the Debian Policy.
+    - Remove the .py extension required by the Debian Policy.
       (Jelmer Vernooij)
 
     - New startup script serve-branches will serve Loggerhead without

=== modified file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2018-10-20 11:09:30 +0000
+++ loggerhead/apps/error.py	2023-02-01 23:45:16 +0000
@@ -41,7 +41,7 @@
                 raise
 
     def handle_error(self, environ, start_response):
-        """Exception hanlder."""
+        """Exception handler."""
         self.log_error(environ)
         return errapp(environ, start_response)
 

=== modified file 'loggerhead/static/javascript/changelog.js'
--- loggerhead/static/javascript/changelog.js	2020-06-04 19:43:36 +0000
+++ loggerhead/static/javascript/changelog.js	2023-02-01 23:45:16 +0000
@@ -3,18 +3,18 @@
   $('.revision_log').each(
     function(i, item)
     {
-      var collapsable = item.collapsable;
+      var collapsible = item.collapsible;
       if(action == 'close')
       {
         $('#expand_all').css({'display': 'block'});
         $('#collapse_all').css({'display': 'none'});
-        collapsable.close();
+        collapsible.close();
       }
       else if(action == 'open')
       {
         $('#expand_all').css({'display': 'none'});
         $('#collapse_all').css({'display': 'block'});
-        collapsable.open();
+        collapsible.open();
       }
     });
 }
@@ -47,7 +47,7 @@
       function(i, item)
       {
         var revid = revids[item.id.replace('log-', '')];
-        var collapsable = new Collapsable(
+        var collapsible = new Collapsible(
           {
             expand_icon: $(item).find('.expand_icon'),
             open_node: $(item).find('.long_description'),
@@ -61,9 +61,9 @@
           'click',
           function(e) {
             e.preventDefault();
-            collapsable.toggle();
+            collapsible.toggle();
           });
-        item.collapsable = collapsable;
+        item.collapsible = collapsible;
       });
 
   });

=== modified file 'loggerhead/static/javascript/custom.js'
--- loggerhead/static/javascript/custom.js	2020-09-09 16:36:01 +0000
+++ loggerhead/static/javascript/custom.js	2023-02-01 23:45:16 +0000
@@ -67,7 +67,7 @@
   setTimeout("$('#search_terms').css({'display': 'none'})", 300);
 }
 
-function Collapsable(config)
+function Collapsible(config)
 {
   this.is_open = config.is_open;
   this.open_node = config.open_node;
@@ -96,7 +96,7 @@
   return height;
 }
 
-Collapsable.prototype._animate = function (callback)
+Collapsible.prototype._animate = function (callback)
 {
   if (this.anim) this.anim.stop();
 
@@ -109,7 +109,7 @@
      }.bind(this));
 }
 
-Collapsable.prototype._load_finished = function(data, callback)
+Collapsible.prototype._load_finished = function(data, callback)
 {
   var l = data.split('\n');
   l.splice(0, 1);
@@ -126,7 +126,7 @@
   this._animate(callback);
 };
 
-Collapsable.prototype._ensure_container = function(callback)
+Collapsible.prototype._ensure_container = function(callback)
 {
   if (this.container == null) {
     this.container = $('<div></div>');
@@ -172,7 +172,7 @@
  * 8. Start a new animation to show the rest of the new content.
  */
 
-Collapsable.prototype.open = function(callback)
+Collapsible.prototype.open = function(callback)
 {
   this.expand_icon[0].src = expanded_icon_path;
 
@@ -196,18 +196,18 @@
 
   this._animate(callback);
 
-  var collapsable = this;
+  var collapsible = this;
 
   if (this.source) {
       $.get(this.source, function(data) {
-            collapsable._load_finished(data, callback);
+            collapsible._load_finished(data, callback);
       });
     return;
   }
 
 };
 
-Collapsable.prototype.close = function()
+Collapsible.prototype.close = function()
 {
   this._ensure_container();
 
@@ -226,7 +226,7 @@
       0.2, "swing", this.closeComplete.bind(this));
 };
 
-Collapsable.prototype.closeComplete = function () {
+Collapsible.prototype.closeComplete = function () {
   $(this.open_node).css({'display': 'none'});
   if (this.close_node) {
     $(this.close_node).css({'display': 'block'});
@@ -236,7 +236,7 @@
   this.is_open = false;
 };
 
-Collapsable.prototype.toggle = function()
+Collapsible.prototype.toggle = function()
 {
   if (this.is_open)
   {

=== modified file 'loggerhead/static/javascript/diff.js'
--- loggerhead/static/javascript/diff.js	2020-09-11 10:03:03 +0000
+++ loggerhead/static/javascript/diff.js	2023-02-01 23:45:16 +0000
@@ -113,18 +113,18 @@
   diffs.each(
     function(i, item)
     {
-      var collapsable = item.collapsable;
+      var collapsible = item.collapsible;
       if(action == 'close')
       {
         $('#expand_all').css({'display': 'block'});
         $('#collapse_all').css({'display': 'none'});
-        collapsable.close();
+        collapsible.close();
       }
       else if(action == 'open')
       {
         $('#expand_all').css({'display': 'none'});
         $('#collapse_all').css({'display': 'block'});
-        collapsable.open();
+        collapsible.open();
       }
     });
 }
@@ -156,9 +156,9 @@
 }
 
 function zoom_to_diff (path) {
-  var collapsable = $('#' + path_to_id[path]).collapsable;
-  if (!collapsable.is_open) {
-    collapsable.open(
+  var collapsible = $('#' + path_to_id[path]).collapsible;
+  if (!collapsible.is_open) {
+    collapsible.open(
       function () {
         window.location.hash = '#' + path;
       });
@@ -172,7 +172,7 @@
   $('.diff').each(
     function(i, item)
     {
-      item.collapsable.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + numlines;
+      item.collapsible.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + numlines;
     });
   if(original_diff_download_link == null) original_diff_download_link = $('#download_link').attr('href');
   $('#download_link').attr('href', original_diff_download_link + '?context=' + numlines);
@@ -206,10 +206,10 @@
           'click',
           function(e) {
             e.preventDefault();
-            item.collapsable.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + $('#contextLines').val();
-            collapsable.toggle();
+            item.collapsible.source = global_path + '+filediff/' + link_data[item.id] + '?context=' + $('#contextLines').val();
+            collapsible.toggle();
           });
-        var collapsable = new Collapsable(
+        var collapsible = new Collapsible(
           {
             expand_icon: $(item).find('.expand_diff'),
             open_node: $(item).find('.diffinfo'),
@@ -219,7 +219,7 @@
             loading: $(item).find('.loading'),
             node_process: node_process
           });
-       item.collapsable=collapsable;
+       item.collapsible=collapsible;
        });
     compute_diff_links();
     if (window.location.hash && !specific_path) {

=== modified file 'loggerhead/templates/collapse-button.pt'
--- loggerhead/templates/collapse-button.pt	2008-06-16 10:13:40 +0000
+++ loggerhead/templates/collapse-button.pt	2023-02-01 23:45:16 +0000
@@ -10,7 +10,7 @@
                      class string:show-button collapse-${group}-${name}-show"
      title="expand">
     <img tal:attributes="src python:branch.static_url('/static/images/nav-small-right.gif')"
-         witdh="10" height="10" alt="expand"
+         width="10" height="10" alt="expand"
          class="collapse-triangle" />
   </a>
 </tal:block>

=== modified file 'loggerhead/tests/test_corners.py'
--- loggerhead/tests/test_corners.py	2018-10-20 15:28:43 +0000
+++ loggerhead/tests/test_corners.py	2023-02-01 23:45:16 +0000
@@ -6,7 +6,7 @@
 
 
 class TestCornerCases(BasicTests):
-    """Tests that excercise various corner cases."""
+    """Tests that exercise various corner cases."""
 
     def addFileAndCommit(self, filename, commit_msg):
         """Make a trivial commit that has 'msg' as its commit message.

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2023-01-31 19:08:09 +0000
+++ loggerhead/util.py	2023-02-01 23:45:16 +0000
@@ -176,7 +176,7 @@
 
 def hide_email(email):
     """
-    try to obsure any email address in a bazaar committer's name.
+    try to obscure any email address in a bazaar committer's name.
     """
     m = STANDARD_PATTERN.search(email)
     if m is not None:
@@ -258,7 +258,7 @@
     CSS is stupid. In some cases we need to replace an empty value with
     a non breaking space (&nbsp;). There has to be a better way of doing this.
 
-    return: the same value recieved if not empty, and a '&nbsp;' if it is.
+    return: the same value received if not empty, and a '&nbsp;' if it is.
     """
     if s is None:
         return '&nbsp;'
@@ -562,7 +562,7 @@
     Soon to be deprecated.
 
 
-    return a context map that may be overriden by specific values passed in,
+    return a context map that may be overridden by specific values passed in,
     but only contains keys from the list of valid context keys.
 
     if 'clear' is set, only the 'remember' context value will be added, and

=== modified file 'loggerhead/zptsupport.py'
--- loggerhead/zptsupport.py	2023-01-31 19:08:09 +0000
+++ loggerhead/zptsupport.py	2023-02-01 23:45:16 +0000
@@ -60,7 +60,7 @@
 
     Template files must end in ".pt" and be in legitimate packages.
     Templates are automatically checked for changes and reloaded as
-    neccessary.
+    necessary.
     """
     divider = classname.rfind(".")
     if divider > -1:

=== modified file 'loggerheadd'
--- loggerheadd	2020-06-04 20:28:15 +0000
+++ loggerheadd	2023-02-01 23:45:16 +0000
@@ -46,11 +46,11 @@
 }
 
 loggerhead_status(){
-    proccess=`loggerhead_process`
-    #echo "$proccess"
+    process=`loggerhead_process`
+    #echo "$process"
     listening=`netstat -nl |grep -e ":$PORT "`
     #echo "$listening"
-    if [ -z "$proccess" ]; then
+    if [ -z "$process" ]; then
         echo "Loggerhead is *not* running."
     else
         echo "Loggerhead is running."

